For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
GuidesIntegrationsAPI ReferencesRelease notes
GuidesIntegrationsAPI ReferencesRelease notes
    • APIs overview
  • Upload API
    • Errors
  • REST API
    • Authentication
      • GETList of files
      • PUTStore file
      • DELDelete file
      • GETFile info
      • PUTBatch file storing
      • DELBatch file delete
      • POSTCopy file to local storage
      • POSTCopy file to remote storage
    • File Metadata
    • Add Ons
    • Changelog
    • Versioning
  • URL API
    • File groups
    • Image processing limitations
    • Image compression
    • Image resize and crop
    • Image rotation
    • Image overlays
    • Image colors
    • Image definition
    • Image recognition
    • Other image operations
    • Proxy
    • Signed URLs
    • CDN settings
    • Integrations
Dashboard
LogoLogo
REST APIFile

File info

GET
https://api.uploadcare.com/files/:uuid/
GET
/files/:uuid/
$curl -G https://api.uploadcare.com/files/03ccf9ab-f266-43fb-973d-a6529c55c2ae/ \
> -H "Accept: application/vnd.uploadcare-v0.7+json" \
> -H "Authorization: <apiKey>" \
> -d include=appdata
1{
2 "datetime_removed": null,
3 "datetime_stored": "2018-11-26T12:49:10.477888Z",
4 "datetime_uploaded": "2018-11-26T12:49:09.945335Z",
5 "is_image": true,
6 "is_ready": true,
7 "mime_type": "image/jpeg",
8 "original_file_url": "https://ucarecdn.com/22240276-2f06-41f8-9411-755c8ce926ed/pineapple.jpg",
9 "original_filename": "pineapple.jpg",
10 "size": 642,
11 "url": "https://api.uploadcare.com/files/22240276-2f06-41f8-9411-755c8ce926ed/",
12 "uuid": "22240276-2f06-41f8-9411-755c8ce926ed",
13 "variations": null,
14 "content_info": {
15 "mime": {
16 "mime": "image/jpeg",
17 "type": "image",
18 "subtype": "jpeg"
19 },
20 "image": {
21 "color_mode": "RGB",
22 "orientation": 6,
23 "format": "JPEG",
24 "sequence": false,
25 "height": 500,
26 "width": 500,
27 "geo_location": {
28 "latitude": 55.62013611111111,
29 "longitude": 37.66299166666666
30 },
31 "datetime_original": "2018-08-20T08:59:50",
32 "dpi": [
33 72,
34 72
35 ]
36 }
37 },
38 "metadata": {
39 "subsystem": "uploader",
40 "pet": "cat"
41 },
42 "appdata": {
43 "aws_rekognition_detect_labels": {
44 "version": "2016-06-27",
45 "datetime_created": "2021-09-21T11:25:31.259763Z",
46 "datetime_updated": "2021-09-21T11:27:33.359763Z",
47 "data": {
48 "LabelModelVersion": "2.0",
49 "Labels": [
50 {
51 "Confidence": 93.41645812988281,
52 "Instances": [],
53 "Name": "Home Decor",
54 "Parents": []
55 },
56 {
57 "Confidence": 70.75951385498047,
58 "Instances": [],
59 "Name": "Linen",
60 "Parents": [
61 {
62 "Name": "Home Decor"
63 }
64 ]
65 },
66 {
67 "Confidence": 64.7123794555664,
68 "Instances": [],
69 "Name": "Sunlight",
70 "Parents": []
71 },
72 {
73 "Confidence": 56.264793395996094,
74 "Instances": [],
75 "Name": "Flare",
76 "Parents": [
77 {
78 "Name": "Light"
79 }
80 ]
81 },
82 {
83 "Confidence": 50.47153854370117,
84 "Instances": [],
85 "Name": "Tree",
86 "Parents": [
87 {
88 "Name": "Plant"
89 }
90 ]
91 }
92 ]
93 }
94 },
95 "aws_rekognition_detect_moderation_labels": {
96 "version": "2016-06-27",
97 "datetime_created": "2023-02-21T11:25:31.259763Z",
98 "datetime_updated": "2023-02-21T11:27:33.359763Z",
99 "data": {
100 "ModerationModelVersion": "6.0",
101 "ModerationLabels": [
102 {
103 "Confidence": 93.41645812988281,
104 "Name": "Weapons",
105 "ParentName": "Violence"
106 }
107 ]
108 }
109 },
110 "remove_bg": {
111 "version": "1.0",
112 "datetime_created": "2021-07-25T12:24:33.159663Z",
113 "datetime_updated": "2021-07-25T12:24:33.159663Z",
114 "data": {
115 "foreground_type": "person"
116 }
117 },
118 "uc_clamav_virus_scan": {
119 "version": "0.104.2",
120 "datetime_created": "2021-09-21T11:24:33.159663Z",
121 "datetime_updated": "2021-09-21T11:24:33.159663Z",
122 "data": {
123 "infected": true,
124 "infected_with": "Win.Test.EICAR_HDB-1"
125 }
126 }
127 }
128}

Get file information by its UUID (immutable).

Was this page helpful?
Previous

Batch file storing

Next
Built with

Authentication

Authorizationstring
Every request made to `https://api.uploadcare.com/` MUST be signed. HTTPS SHOULD be used with any authorization scheme. Requests MUST contain the `Authorization` header defining `auth-scheme` and `auth-param`: `Authorization: auth-scheme auth-param`. Every request MUST contain the `Accept` header identifying the REST API version: `Accept: application/vnd.uploadcare-v0.7+json`. There are two available authorization schemes: * For production: `Uploadcare`, a scheme where a `signature`, not your Secret API Key MUST be specified. Signatures SHOULD be generated on backend. * For quick tests: `Uploadcare.Simple`, a simple scheme where your [Secret API Key](https://app.uploadcare.com/projects/-/api-keys/) MUST be specified in every request's `auth-param`.

Path parameters

uuidstringRequiredformat: "uuid"
File UUID.

Headers

AcceptstringRequired
Version header.

Query parameters

includestringOptional

Include additional fields to the file object, such as: appdata.

Response

File info in JSON.
datetime_removeddatetime or null
Date and time when a file was removed, if any.
datetime_storeddatetime or null
Date and time of the last store request, if any.
datetime_uploadeddatetime
Date and time when a file was uploaded.
is_imageboolean
Is file is image.
is_readyboolean
Is file is ready to be used after upload.
mime_typestring

File MIME-type.

original_file_urlstring or nullformat: "uri"
Publicly available file CDN URL. Available if a file is not deleted.
original_filenamestring
Original file name taken from uploaded file.
sizeinteger
File size in bytes.
urlstringformat: "uri"
API resource URL for a particular file.
uuidstringformat: "uuid"
File UUID.
variationsobject or null

Dictionary of other files that were created using this file as a source. It’s used for video processing and document conversion jobs. E.g., <conversion_path>: <uuid>.

content_infoobject
Information about file content.
metadataobject
Arbitrary metadata associated with a file.
appdataobject
Dictionary of application names and data associated with these applications.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
406
Not Acceptable Error
429
Too Many Requests Error

Every request made to https://api.uploadcare.com/ MUST be signed. HTTPS SHOULD be used with any authorization scheme.

Requests MUST contain the Authorization header defining auth-scheme and auth-param: Authorization: auth-scheme auth-param.

Every request MUST contain the Accept header identifying the REST API version: Accept: application/vnd.uploadcare-v0.7+json.

There are two available authorization schemes:

  • For production: Uploadcare, a scheme where a signature, not your Secret API Key MUST be specified. Signatures SHOULD be generated on backend.
  • For quick tests: Uploadcare.Simple, a simple scheme where your Secret API Key MUST be specified in every request’s auth-param.